oids.h File Reference

ASN.1 object identifiers for algorthms and schemes. More...

Go to the source code of this file.

## Macros

#define | DEFINE_OID(value, name) inline OID name() {return value;}

## Functions

OID | iso ()
OID | member_body ()
OID | iso_us ()
OID | ansi_x9_57 ()
OID | id_dsa ()
OID | ansi_x9_62 ()
OID | id_fieldType ()
OID | prime_field ()
OID | characteristic_two_field ()
OID | id_characteristic_two_basis ()
OID | gnBasis ()
OID | tpBasis ()
OID | ppBasis ()
OID | id_publicKeyType ()
OID | id_ecPublicKey ()
OID | ansi_x9_62_curves ()
OID | ansi_x9_62_curves_prime ()
OID | secp192r1 ()
OID | secp256r1 ()
OID | rsadsi ()
OID | pkcs ()
OID | pkcs_1 ()
OID | rsaEncryption ()
OID | rsadsi_digestAlgorithm ()
OID | id_md2 ()
OID | id_md5 ()
OID | identified_organization ()
OID | dod ()
OID | internet ()
OID | internet_private ()
OID | enterprise ()
OID | GNU ()
OID | ellipticCurve ()
OID | id_curve25519 ()
OID | id_curve448 ()
OID | id_curve25519ph ()
OID | id_curve448ph ()
OID | oiw ()
OID | oiw_secsig ()
OID | oiw_secsig_algorithms ()
OID | id_sha1 ()
OID | teletrust ()
OID | teletrust_algorithm ()
OID | id_ripemd160 ()
OID | teletrust_ellipticCurve ()
OID | brainpoolP160r1 ()
OID | brainpoolP192r1 ()
OID | brainpoolP224r1 ()
OID | brainpoolP256r1 ()
OID | brainpoolP320r1 ()
OID | brainpoolP384r1 ()
OID | brainpoolP512r1 ()
OID | certicom ()
OID | certicom_ellipticCurve ()
OID | secp112r1 ()
OID | secp112r2 ()
OID | secp160r1 ()
OID | secp160k1 ()
OID | secp256k1 ()
OID | secp128r1 ()
OID | secp128r2 ()
OID | secp160r2 ()
OID | secp192k1 ()
OID | secp224k1 ()
OID | secp224r1 ()
OID | secp384r1 ()
OID | secp521r1 ()
OID | sect163k1 ()
OID | sect163r1 ()
OID | sect239k1 ()
OID | sect113r1 ()
OID | sect113r2 ()
OID | sect163r2 ()
OID | sect283k1 ()
OID | sect283r1 ()
OID | sect131r1 ()
OID | sect131r2 ()
OID | sect193r1 ()
OID | sect193r2 ()
OID | sect233k1 ()
OID | sect233r1 ()
OID | sect409k1 ()
OID | sect409r1 ()
OID | sect571k1 ()
OID | sect571r1 ()
OID | joint_iso_ccitt ()
OID | country ()
OID | joint_iso_ccitt_us ()
OID | us_organization ()
OID | us_gov ()
OID | csor ()
OID | nistalgorithms ()
OID | aes ()
OID | id_aes128_ECB ()
OID | id_aes128_cbc ()
OID | id_aes128_ofb ()
OID | id_aes128_cfb ()
OID | id_aes192_ECB ()
OID | id_aes192_cbc ()
OID | id_aes192_ofb ()
OID | id_aes192_cfb ()
OID | id_aes256_ECB ()
OID | id_aes256_cbc ()
OID | id_aes256_ofb ()
OID | id_aes256_cfb ()
OID | nist_hashalgs ()
OID | id_sha256 ()
OID | id_sha384 ()
OID | id_sha512 ()

## Detailed Description

ASN.1 object identifiers for algorthms and schemes.

Definition in file oids.h.